-- Praktikum digitaler Schaltungsentwurf 1, Aufgabe 1
-- Datei: Exor2_Sim.vhdl
--
-- Simulationsmodell einer kombinatorischen Beispielschaltung
-- aus zwei EXOR-Gattern
--
-- 25.11.2010, G. Kemnitz
--------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;

entity Exor2 is
 port(a, b, c: std_logic;
      y: out std_logic);
end entity;

-- Simulationsmodell mit Halte- und Verzögerungszeiten
architecture Sim of Exor2 is
 signal z: std_logic;
begin
 z <= 'X' after 3 ns, a xor b after 5 ns;
 y <= 'X' after 3 ns, z xor c after 5 ns;
end architecture;

